﻿$ErrorActionPreference = 'Stop';

$toolsPath = Split-Path $MyInvocation.MyCommand.Definition
. "$toolsPath\helpers.ps1"

$InitialURL = 'http://www.displaylink.com/downloads/file?id=999'
$Formdata = 'fileId=999&accept_submit=Accept'

$url = Get-WebLocation -URL $InitialURL -FormData $Formdata
$packageName= $env:ChocolateyPackageName
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  softwareName  = 'DisplayLink*'
  url           = $url

  checksum      = 'D08DC405FD0A36EE4203370F8FEE060E65227032F35CECF578730EE2999831FC'
  checksumType  = 'sha256'
  checksum64    = 'D08DC405FD0A36EE4203370F8FEE060E65227032F35CECF578730EE2999831FC'
  checksumType64= 'sha256'


  silentArgs   = '-silent -noreboot -suppressUpToDateInfo'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs










    








