﻿Function Get-WebLocation {
[cmdletbinding()]
param(
    [string]$URL,
    [string]$Formdata
)
    $Body = [byte[]][char[]]$Formdata;
    $Request = [System.Net.HttpWebRequest]::CreateHttp($URL);
    $Request.Method = 'POST';
    $Stream = $Request.GetRequestStream();
    $Stream.Write($Body, 0, $Body.Length);
    $Request.ContentType = "application/x-www-form-urlencoded"
    $Request.AllowAutoRedirect = $false
    $Response = $Request.GetResponse();
    $Location = $Response.Headers.GetValues('location')
    return $Location
}